
Demo.prototype.sceneStarfield = function () {
  this.setScene('starfield');

  this.loader.addAnimation({
    "light": {
        "type": "Ambient",
        "properties": { "intensity": 2.0 },
        "castShadow": false
    }
    ,"color": [{
        "r": 0.8, "g": 0.8, "b": 0.8
    }]
});    

    this.loader.addAnimation({
      "light": {
          "type": "Directional",
          "properties": { "intensity": 1.5 },
          "castShadow": true
      }
      ,position:[{x:0.5,y:3,z:2}]
    });    

  const emojiList = [
  '😂', '😎', '😡', '😍', '😵‍💫', '🤯','🤬', '😭','😊'
];
  for(let i = 0; i < emojiList.length; i++)
  {
    const emoji = emojiList[i];
    this.addEffectStarfield(0,240, 10*i*3, emoji, 700,700,1000, 5.5, null, 0,0,0, 1.0, 0.0, false);
  }

  var updating_start_time = 2
  var interval = 0.75

  this.loader.addAnimation({
    image: '😊',
    scale: [{ uniform2d: 8.0 }],
    start: 1.4,
    duration: 0.5,
  });
    this.loader.addAnimation({
    image: '😎',
    scale: [{ uniform2d: 8.0 }],
    start: updating_start_time,
    duration: 0.5,
  });
updating_start_time = updating_start_time + interval
    this.loader.addAnimation({
    image: '😵‍💫',
    scale: [{ uniform2d: 8.0 }],
    start: updating_start_time,
    duration: 0.5,
  });
  updating_start_time = updating_start_time + interval
   this.loader.addAnimation({
    image: '😢',
    scale: [{ uniform2d: 8.0 }],
    start: updating_start_time,
    duration: 0.5,
  });
updating_start_time = updating_start_time + interval
    this.loader.addAnimation({
    image: '😍',
    scale: [{ uniform2d: 8.0 }],
    start: updating_start_time,
    duration: 0.5,
  });
updating_start_time = updating_start_time + interval
   this.loader.addAnimation({
    image: '💩',
    scale: [{ uniform2d: 8.0 }],
    start: updating_start_time,
    duration: 0.5,
  });
  updating_start_time = updating_start_time + interval
    this.loader.addAnimation({
    image: '😂',
    scale: [{ uniform2d: 8.0 }],
    start: updating_start_time,
    duration: 0.5,
  });
updating_start_time = updating_start_time + interval
    this.loader.addAnimation({
    image: '🍆',
    scale: [{ uniform2d: 8.0 }],
    start: updating_start_time,
    duration: 0.5,
  });
    updating_start_time = updating_start_time + interval
    this.loader.addAnimation({
    image: '🤨',
    scale: [{ uniform2d: 8.0 }],
    start: updating_start_time,
    duration: 0.5,
  });
  updating_start_time = updating_start_time + interval
    this.loader.addAnimation({
    image: '👻',
    scale: [{ uniform2d: 8.0 }],
    start: updating_start_time,
    duration: 0.5,
  });
updating_start_time = updating_start_time + interval
    this.loader.addAnimation({
    image: '🤪',
    scale: [{ uniform2d: 8.0 }],
    start: updating_start_time,
    duration: 0.5,
  });
updating_start_time = updating_start_time + interval
   this.loader.addAnimation({
    image: '💩',
    scale: [{ uniform2d: 8.0 }],
    start: updating_start_time,
    duration: 0.5,
  });
updating_start_time = updating_start_time + interval
    this.loader.addAnimation({
    image: '🤔',
    scale: [{ uniform2d: 8.0 }],
    start: updating_start_time,
    duration: 0.5,
  });
updating_start_time = updating_start_time + interval
    this.loader.addAnimation({
    image: '🚢',
    scale: [{ uniform2d: 8.0 }],
    start: updating_start_time,
    duration: 0.5,
  });
 updating_start_time = updating_start_time + interval
   this.loader.addAnimation({
    image: '🤯',
    scale: [{ uniform2d: 8.0 }],
    start: updating_start_time,
    duration: 0.5,
  });
updating_start_time = updating_start_time + interval
   this.loader.addAnimation({
    image: '🫶',
    scale: [{ uniform2d: 8.0 }],
    start: updating_start_time,
    duration: 0.5,
  });
updating_start_time = updating_start_time + interval
    this.loader.addAnimation({
    image: '👀',
    scale: [{ uniform2d: 8.0 }],
    start: updating_start_time,
    duration: 0.5,
  });
  //jat
  updating_start_time = updating_start_time + interval
    this.loader.addAnimation({
    image: '🥳',
    scale: [{ uniform2d: 8.0 }],
    start: updating_start_time,
    duration: 0.5,
  });
updating_start_time = updating_start_time + interval
    this.loader.addAnimation({
    image: '🍞',
    scale: [{ uniform2d: 8.0 }],
    start: updating_start_time,
    duration: 0.5,
  });
updating_start_time = updating_start_time + interval
   this.loader.addAnimation({
    image: '🤖',
    scale: [{ uniform2d: 8.0 }],
    start: updating_start_time,
    duration: 0.5,
  });
    updating_start_time = updating_start_time + interval
    this.loader.addAnimation({
    image: '🤓',
    scale: [{ uniform2d: 8.0 }],
    start: updating_start_time,
    duration: 0.5,
  });
updating_start_time = updating_start_time + interval
    this.loader.addAnimation({
    image: '🤬',
    scale: [{ uniform2d: 8.0 }],
    start: updating_start_time,
    duration: 0.5,
  });
  updating_start_time = updating_start_time + interval
    this.loader.addAnimation({
    image: '🙈',
    scale: [{ uniform2d: 8.0 }],
    start: updating_start_time,
    duration: 0.5,
  });
updating_start_time = updating_start_time + interval
    this.loader.addAnimation({
    image: '✊',
    scale: [{ uniform2d: 8.0 }],
    start: updating_start_time,
    duration: 0.5,
  });
updating_start_time = updating_start_time + interval
    this.loader.addAnimation({
    image: '😳',
    scale: [{ uniform2d: 8.0 }],
    start: updating_start_time,
    duration: 0.5,
  });
updating_start_time = updating_start_time + interval
   this.loader.addAnimation({
    image: '🐍',
    scale: [{ uniform2d: 8.0 }],
    start: updating_start_time,
    duration: 0.5,
  });
updating_start_time = updating_start_time + interval
    this.loader.addAnimation({
    image: '😬',
    scale: [{ uniform2d: 8.0 }],
    start: updating_start_time,
    duration: 0.5,
  });
updating_start_time = updating_start_time + interval
    this.loader.addAnimation({
    image: '💅',
    scale: [{ uniform2d: 8.0 }],
    start: updating_start_time,
    duration: 0.5,
  });
 updating_start_time = updating_start_time + interval
   this.loader.addAnimation({
    image: '😈',
    scale: [{ uniform2d: 8.0 }],
    start: updating_start_time,
    duration: 0.5,
  });
updating_start_time = updating_start_time + interval
   this.loader.addAnimation({
    image: '🫠',
    scale: [{ uniform2d: 8.0 }],
    start: updating_start_time,
    duration: 0.5,
  });
updating_start_time = updating_start_time + interval
    this.loader.addAnimation({
    image: '🌈',
    scale: [{ uniform2d: 8.0 }],
    start: updating_start_time,
    duration: 0.5,
  });
updating_start_time = updating_start_time + interval
    this.loader.addAnimation({
    image: '🤑',
    scale: [{ uniform2d: 8.0 }],
    start: updating_start_time,
    duration: 0.5,
  });






  /*let numbers =  [2,9,0,8,2,5];
  for(let i = 0; i < numbers.length; i++) {
    this.addEffectStarfield(i*3,240-i*3, 10, "images/bitfont_"+numbers[i]+".png", 450,450,500, 5.5, null, 0,0,0, 1.0, 0.0, true);
        color: [
      {a:0}
      ,{duration:0.5,  a:1}
      ,{duration:1.5,  a:0}
    ]
  }*/


}